net.sf.jasperreports.components.table

## Class CompiledCell

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementGroup
  - - net.sf.jasperreports.components.table.CompiledCell

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Cell, JRBoxContainer, JRChild, JRCloneable, JRElementGroup, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class CompiledCell
      extends JRBaseElementGroup
      implements Cell

  Version:
    $Id: CompiledCell.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRStyle` | `style`
    `protected java.lang.String` | `styleNameReference`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `children, elementGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompiledCell()`
    `CompiledCell(Cell cell, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.awt.Color` | `getDefaultLineColor()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `java.lang.Integer` | `getHeight()`
    `JRLineBox` | `getLineBox()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.lang.Integer` | `getRowSpan()`
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `boolean` | `hasProperties()` Checks whether the object has any properties.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getChildren, getElementByKey, getElementGroup, getElements`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

- - ### Field Detail

    - #### style

          protected JRStyle style

    - #### styleNameReference

          protected java.lang.String styleNameReference

  - ### Constructor Detail

    - #### CompiledCell

          public CompiledCell()

    - #### CompiledCell

          public CompiledCell(Cell cell,
                      JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getHeight

          public java.lang.Integer getHeight()

      Specified by:
        `getHeight` in interface `Cell`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getRowSpan

          public java.lang.Integer getRowSpan()

      Specified by:
        `getRowSpan` in interface `Cell`

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementGroup`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com